import React, { useEffect, useMemo, useRef } from 'react';
import deepCopy from '@/utils/deepCopy';
import { colorArr } from '@/components/ScreenBox/utils';
import BasicChart from './BasicChart';

const defaultOpt = {
  // tooltip: {
  //   trigger: 'item',
  //   formatter: '{b} : {c} ({d}%)',
  // },
  color: colorArr,
  legend: {
    orient: 'vertical',
    left: 'left',
    top: '5%',
    textStyle: { color: '#fff' },
  },
  series: [
    {
      type: 'pie',
      radius: ['45%', '65%'],
      itemStyle: {
        borderRadius: 4,
        borderColor: '#041B38',
        borderWidth: 2,
      },
      label: {
        show: false,
        position: 'center',
        formatter: '{b}\n{d}%',
      },
      emphasis: {
        label: {
          color: '#25E1AA',
          show: true,
          fontSize: '18',
        },
      },
      labelLine: {
        show: false,
      },
    },
  ],
};

export default (props) => {
  const option = useMemo(() => deepCopy(defaultOpt), []);
  option.series[0].data = props.source;

  return <BasicChart title="农机作业数统计" option={option} />;
};
