import request from '@/utils/request';

/**
 * 设备列表
 * @param {*} params
 * @returns
 */
export const getDeviceList = (params) => request('/hatc-device', { params });

/**
 * 通过设备号查询相关设备列表  选好了点击绑定时根据当前选择的设备id查询
 * 同终端列表
 * @param {*} params
 * @returns
 */
export const getTerminalDeviceList = (id) => request(`/hatc-device/${id}`);

/**
 * 设备相关信息
 * 查询农机Id详情
 * @param {*} params
 * @returns
 */
export const getdeviceDetail = (id) => request(`/machinery/${id}/device`);

//  新增修改设备信息
/**
 * 新增设备信息
 * @param {*} data
 * @returns
 */
export const addDevice = (data) => request('/device', { method: 'post', data });
